function main(io)
% ----------------------------------------------------------------------
%  MAIN PROGRAM - generated by the Rappture Builder
% ----------------------------------------------------------------------

% open the XML file containing the run parameters
% the file name comes in from the command-line via variable 'infile'
% io = rpLib(infile);

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Get input values from Rappture
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% get input value for input.number(Ls) and convert to m
str = rpLibGetString(io,'input.number(Ls).current');
[Ls,err] = rpUnitsConvertDbl(str, 'm');

% get input value for input.number(Lend) and convert to m
str = rpLibGetString(io,'input.number(Lend).current');
[Lend,err] = rpUnitsConvertDbl(str, 'm');

% get input value for input.integer(Power)
Power = int64(rpLibGetDouble(io,'input.integer(Power).current'));

% get input value for input.number(Lb) and convert to m
str = rpLibGetString(io,'input.number(Lb).current');
[Lb,err] = rpUnitsConvertDbl(str, 'm');

% get input value for input.number(h) and convert to m
str = rpLibGetString(io,'input.number(h).current');
[h,err] = rpUnitsConvertDbl(str, 'm');

% get input value for input.integer(n)
n = int64(rpLibGetDouble(io,'input.integer(n).current'));

% get input value for input.number(Ts) and convert to K
str = rpLibGetString(io,'input.number(Ts).current');
[Ts,err] = rpUnitsConvertDbl(str, 'K');

% get input value for input.number(emissivity)
emissivity = rpLibGetDouble(io,'input.number(emissivity).current');


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%  Add your code here for the main body of your program
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

[averagetemp,f,x,y] = AFMtemp_radiation(Ls,Lend,Power,Lb,n,h,emissivity,Ts);

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Save output values back to Rappture
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% save output value for output.number(averagetemp)
str = sprintf('%12g K',averagetemp);
rpLibPutString(io,'output.string(averagetemp).current',str,0);

% save output value for output.number(f)
str = sprintf('%12g Hz',f);
rpLibPutString(io,'output.string(f).current',str,0);

% save output value for output.curve(TempDis)
% this assumes a vector 'x' and a vector 'y'
xydata = [x;y];
str = sprintf('%12g %12g\n', xydata);
rpLibPutString(io,'output.curve(TempDis).component.xy',str,0);


rpLibResult(io);
quit;
